nxt.addons

## Class ContractRunner

- java.lang.Object
- - nxt.addons.ContractRunner

- All Implemented Interfaces:
    AddOn, ContractProvider

      public final class ContractRunner
      extends java.lang.Object
      implements AddOn, ContractProvider

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ContractRunner.INVOCATION_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractRunner()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JO` | `generateInfoResponse(java.lang.String message, java.lang.Object... params)`
    `java.util.Map<java.lang.String,APIServlet.APIRequestHandler>` | `getAPIRequests()`
    `ContractAndSetupParameters` | `getContract(java.lang.String name)`
    `void` | `init()`
    `void` | `reset()`
    `void` | `shutdown()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface nxt.addons.AddOn

      `getAPIRequestHandler, getAPIRequestType`

- - ### Constructor Detail

    - #### ContractRunner

          public ContractRunner()

  - ### Method Detail

    - #### init

          public void init()

      Specified by:
        `init` in interface `AddOn`

    - #### generateInfoResponse

          public JO generateInfoResponse(java.lang.String message,
                                         java.lang.Object... params)

    - #### shutdown

          public void shutdown()

      Specified by:
        `shutdown` in interface `AddOn`

    - #### reset

          public void reset()

    - #### getAPIRequests

          public java.util.Map<java.lang.String,APIServlet.APIRequestHandler> getAPIRequests()

      Specified by:
        `getAPIRequests` in interface `AddOn`

    - #### getContract

          public ContractAndSetupParameters getContract(java.lang.String name)

      Specified by:
        `getContract` in interface `ContractProvider`